[145804] trunk/dports/gnome/gnome-applets

devans at macports.org devans at macports.org
Wed Feb 17 11:14:45 PST 2016


Revision: 145804
          https://trac.macports.org/changeset/145804
Author:   devans at macports.org
Date:     2016-02-17 11:14:45 -0800 (Wed, 17 Feb 2016)
Log Message:
-----------
gnome-applets: update to version 3.18.2, update autogen.sh from upstream git, no longer needs gnome-common to build, disable compiler warnings.

Modified Paths:
--------------
    trunk/dports/gnome/gnome-applets/Portfile
    trunk/dports/gnome/gnome-applets/files/autogen.sh
    trunk/dports/gnome/gnome-applets/files/patch-m4-ax_compiler_flags_ldflags.m4.diff

Property Changed:
----------------
    trunk/dports/gnome/gnome-applets/


Property changes on: trunk/dports/gnome/gnome-applets
___________________________________________________________________
Modified: svn:mergeinfo
   - /branches/mld-qt-481/dports/gnome/gnome-applets:92720,92813,92891,92963,93522,93556,93699,93743,93771-93773,93806,93817-93818,93856
/users/devans/GNOME-3/stable/dports/gnome/gnome-applets:108276-113174,127583-140742
/users/devans/GNOME-3/unstable/dports/gnome/gnome-applets:132278-140633
/users/rmstonecipher/gnome/gnome-applets:102363-103172
   + /branches/mld-qt-481/dports/gnome/gnome-applets:92720,92813,92891,92963,93522,93556,93699,93743,93771-93773,93806,93817-93818,93856
/users/devans/GNOME-3/stable/dports/gnome/gnome-applets:108276-113174,127583-145802
/users/devans/GNOME-3/unstable/dports/gnome/gnome-applets:132278-140633
/users/rmstonecipher/gnome/gnome-applets:102363-103172

Modified: trunk/dports/gnome/gnome-applets/Portfile
===================================================================
--- trunk/dports/gnome/gnome-applets/Portfile	2016-02-17 19:12:53 UTC (rev 145803)
+++ trunk/dports/gnome/gnome-applets/Portfile	2016-02-17 19:14:45 UTC (rev 145804)
@@ -4,7 +4,7 @@
 PortSystem          1.0
 
 name                gnome-applets
-version             3.18.1
+version             3.18.2
 set branch          [join [lrange [split ${version} .] 0 1] .]
 description         GNOME panel applets.
 long_description    This package contains applets for use with the \
@@ -18,14 +18,13 @@
 
 use_xz              yes
 
-checksums           rmd160  7b6d6e48ad3b6fd7f4453ef34e269da66e359f0b \
-                    sha256  e09eb18f55be851da4c75c7d97df40130625ea548b2aa8d9db21e17bb06eefd5
+checksums           rmd160  5797e699bc8ae07617c1cd275f6732f72a12a169 \
+                    sha256  ce90c9f660440136e9665c73c925aa6f6aa89864b6724bce03d6d253a63428c4
 
 depends_build       port:pkgconfig \
                     port:intltool \
                     port:itstool \
                     port:yelp-tools \
-                    port:gnome-common \
                     port:autoconf \
                     port:automake \
                     port:libtool
@@ -70,7 +69,7 @@
 set python_framework ${frameworks_dir}/Python.framework/Versions/3.4
 configure.pkg_config_path ${python_framework}/lib/pkgconfig
 
-configure.args      --enable-compile-warnings=minimum \
+configure.args      --enable-compile-warnings=no \
                     --disable-battstat \
                     --disable-cpufreq \
                     --disable-frequency-selector \

Modified: trunk/dports/gnome/gnome-applets/files/autogen.sh
===================================================================
--- trunk/dports/gnome/gnome-applets/files/autogen.sh	2016-02-17 19:12:53 UTC (rev 145803)
+++ trunk/dports/gnome/gnome-applets/files/autogen.sh	2016-02-17 19:14:45 UTC (rev 145804)
@@ -1,22 +1,41 @@
 #!/bin/sh
+#
 # Run this to generate all the initial makefiles, etc.
 
-srcdir=`dirname $0`
+srcdir=$(dirname "$0")
 test -z "$srcdir" && srcdir=.
 
-# (test -f $srcdir/configure.ac \
-#   && test -f $srcdir/gnome-applets.doap) || {
-#     echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-#     echo " top-level gnome-applets directory"
-#     exit 1
-# }
+if [ ! -f $srcdir/configure.ac ]; then
+  echo "**Error**: Directory "\'$srcdir\'" does not look like the top-level" \
+       "project directory."
+  exit 1
+fi
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common."
-    exit 1
-}
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac")
 
-REQUIRED_AUTOMAKE_VERSION=1.9
-REQUIRED_YELP_TOOLS_VERSION=3.1.1
+if [ "$#" = 0 ] && [ -z "$NOCONFIGURE" ]; then
+  echo "**Warning**: I am going to run 'configure' with no arguments." >&2
+  echo "If you wish to pass any to it, please specify them on the '$0'" \
+       "command line." >&2
+fi
 
-. gnome-autogen.sh
+set -x
+aclocal --install || exit 1
+glib-gettextize --force --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+{ set +x; } 2>/dev/null
+
+if [ -z "$NOCONFIGURE" ]; then
+  set -x
+  $srcdir/configure "$@" || exit 1
+  { set +x; } 2>/dev/null
+
+  if [ "$1" = "--help" ]; then
+    exit 0
+  else
+    echo "Now type 'make' to compile $PKG_NAME." || exit 1
+  fi
+else
+  echo "Skipping configure process."
+fi

Modified: trunk/dports/gnome/gnome-applets/files/patch-m4-ax_compiler_flags_ldflags.m4.diff
===================================================================
--- trunk/dports/gnome/gnome-applets/files/patch-m4-ax_compiler_flags_ldflags.m4.diff	2016-02-17 19:12:53 UTC (rev 145803)
+++ trunk/dports/gnome/gnome-applets/files/patch-m4-ax_compiler_flags_ldflags.m4.diff	2016-02-17 19:14:45 UTC (rev 145804)
@@ -1,9 +1,9 @@
---- m4/ax_compiler_flags_ldflags.m4.orig	2015-03-11 16:01:32.000000000 -0700
-+++ m4/ax_compiler_flags_ldflags.m4	2015-03-11 16:06:33.000000000 -0700
+--- m4/ax_compiler_flags_ldflags.m4.orig	2016-02-05 09:35:40.000000000 -0800
++++ m4/ax_compiler_flags_ldflags.m4	2016-02-17 10:07:12.000000000 -0800
 @@ -49,7 +49,6 @@
  
      # Base flags
-     AX_APPEND_COMPILE_FLAGS([ dnl
+     AX_APPEND_LINK_FLAGS([ dnl
 -        -Wl,--no-as-needed dnl
          $3 dnl
      ],ax_warn_ldflags_variable,[$ax_compiler_flags_test])
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160217/d4ba82ca/attachment.html>


More information about the macports-changes mailing list